Skala
Product operation items

Create a new product operation item

Adds a new product operation item record to the database.

POST
/api/product_operation_items

Adds a new product operation item record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new ProductOperationItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/product_operation_items" \  -H "Content-Type: application/json" \  -d '{    "operation": "/entity/1"  }'
{
  "id": 0,
  "operation": "/entity/1",
  "resource": "/entity/1",
  "cost": "string",
  "time": "string",
  "totalCost": "string",
  "productOperation": "/entity/1",
  "productOperationItemVariantOptions": [
    {}
  ],
  "isActive": true,
  "dependencies": [
    "/entity/1"
  ],
  "notes": "string"
}
Empty
Empty